jvx.geom

## Class PnConjugate

- java.lang.Object
- - jvx.geom.PnConjugate

-     public class PnConjugate
      extends java.lang.Object

  Utility class for computing the conjugate of a discrete harmonic map, and conversion between conforming and non-conforming triangulations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PnConjugate()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PgElementSet` | `conjugate(PgElementSet conj, PgElementSet surf, PgElementSet domain)` Compute the conjugate surface of 'surf' and store it in 'conj' This conjugation algorithm rotates every element by 90 degrees todo: and needs no domain metric.
    `static PgElementSet` | `conjugateToFull(PgElementSet conj, PgElementSet surf, PgElementSet domain)` Compute the conjugate surface of 'surf' and store it in 'conj' This conjugation algorithm rotates every element by 90 degrees todo: and needs no domain metric.
    `static boolean` | `makeConforming(PgElementSet geom)` Replace the edge based representation of an elementSet by restoring the vertex based representation whose elements were saved in PgElementSet.
    `static boolean` | `makeConformingToFull(PgElementSet surf)` Generate a triangle mesh where each triangles has its own set of vertices, and where the triangles are numbered in the same way as if the surface was constructed by conjugation.
    `static boolean` | `makeNonConforming(PgElementSet geom)` Replace the vertex based representation of an element set by a representation which is based on edge midpoints.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PnConjugate

          public PnConjugate()

  - ### Method Detail

    - #### conjugate

          public static PgElementSet conjugate(PgElementSet conj,
                               PgElementSet surf,
                               PgElementSet domain)

      Compute the conjugate surface of 'surf' and store it in 'conj' This conjugation algorithm rotates every element by 90 degrees todo: and needs no domain metric. The new triangulation 'conj' is continuous at edge midpoints iff 'surf' is a discrete minimal surface.

      The resulting conjugate surface uses the midtriangles only. Two adjacent midtriangles use the same midpoint on the common edge.

      Parameters:
        `conj` - conjugate minimal surface of surf
        `surf` - discrete minimal surface
        `domain` - domain, if conjugation is applied to a map
      Returns:
        new conjugate surface if conj==null, else conj

    - #### conjugateToFull

          public static PgElementSet conjugateToFull(PgElementSet conj,
                                     PgElementSet surf,
                                     PgElementSet domain)

      Compute the conjugate surface of 'surf' and store it in 'conj' This conjugation algorithm rotates every element by 90 degrees todo: and needs no domain metric. The new triangulation 'conj' is continuous at edge midpoints iff 'surf' is a discrete minimal surface.

      The resulting conjugate surface uses full triangles. Two adjacent are continuous at the midpoint of the common edge but do not have a vertex there.

      Parameters:
        `conj` - conjugate minimal surface of surf
        `surf` - discrete minimal surface
        `domain` - domain, if conjugation is applied to a map
      Returns:
        new conjugate surface if conj==null, else conj

    - #### makeNonConforming

          public static boolean makeNonConforming(PgElementSet geom)

      Replace the vertex based representation of an element set by a representation which is based on edge midpoints. The original vertex based elements are saved in geometry such that they can be reconstructed in makeConforming(). The parameter element set is modified in place.
      Returns:
        true on success, or if already non-conforming

    - #### makeConforming

          public static boolean makeConforming(PgElementSet geom)

      Replace the edge based representation of an elementSet by restoring the vertex based representation whose elements were saved in PgElementSet. The parameter element set is modified in place.

      Note, this method may only be applied to a non-conforming mesh to undo `makeNonConforming(PgElementSet)`.

      Returns:
        true on success, or if already conforming.

    - #### makeConformingToFull

          public static boolean makeConformingToFull(PgElementSet surf)

      Generate a triangle mesh where each triangles has its own set of vertices, and where the triangles are numbered in the same way as if the surface was constructed by conjugation.

      This method prepares a original surface to allow interpolation with its full conjugate surface.

      Method applies both to conforming and non-conforming meshes.

      Returns:
        true on success

"

The software JavaView? is copyright protected. All Rights Reserved.
"